%define upstream_name    Moose-Policy
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Moose-mounted police
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Moose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)

BuildArch: noarch


%description
This module allows you to specify your project-wide or even company-wide
Moose meta-policy. 

Most all of Moose's features can be customized through the use of custom
metaclasses, however fiddling with the metaclasses can be hairy.
Moose::Policy removes most of that hairiness and makes it possible to
cleanly contain a set of meta-level customizations in one easy to use
module.

This is still an release of this module and it should not be considered to
be complete by any means. It is very basic implemenation at this point and
will likely get more feature-full over time, as people request features. So
if you have a suggestion/need/idea, please speak up.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1030318
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 941016
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 740477
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685510
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 522017
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 394569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 29233
- new tarball
- mageia rebuild
- imported package perl-Moose-Policy


* Tue Dec 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.1
+ Revision: 472194
- update to 0.04

* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.03-2mdv2010.0
+ Revision: 430507
- rebuild

* Sat Jul 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2009.0
+ Revision: 234135
- import perl-Moose-Policy


* Sat Jul 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2009.0
- initial mdv release, generated with cpan2dist
